[Sugar-devel] sugar master will depend on simplejson again

Jonas Smedegaard dr at jones.dk
Sat Dec 5 11:55:00 EST 2009

On Fri, Dec 04, 2009 at 01:41:17PM +0100, Sascha Silbe wrote:
>On Fri, Dec 04, 2009 at 01:17:49PM +0100, Simon Schampijer wrote:
>>could it be that 2.5 is only the default and that it is fine for a 
>>package to depend on python 2.6?
>No, that's not the case. Python 2.6 is only available in 
>experimental, not in unstable or testing.

Even when Python2-6 appears in unstable, it is most probably a problem 
still as long as not being the default, due to some Python modules only 
compiled for the default Python version (multi-version Python module 
support is optional and raise packaging complexity considerably except 
when using CDBS, which is discouraged for other reasons by some 

Kind regards,

  - Jonas

* Jonas Smedegaard - idealist & Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

  [x] quote me freely  [ ] ask before reusing  [ ] keep private
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 836 bytes
Desc: Digital signature
Url : http://lists.sugarlabs.org/archive/sugar-devel/attachments/20091205/c4a6df8a/attachment-0001.pgp 

More information about the Sugar-devel mailing list